package geniusweb.profileconnection;

import static org.junit.Assert.assertEquals;

import java.io.IOException;

import org.junit.Test;

import geniusweb.profileconnection.FileProfileConnector;

public class FileProfileConnTest {
	@Test(expected = IOException.class)
	public void testNoSuchFile() throws IOException {
		new FileProfileConnector("nosuchfile");
	}

	@Test(expected = IOException.class)
	public void testWrongFileContents() throws IOException {
		new FileProfileConnector("pom.xml");
	}

	@Test
	public void testRead() throws IOException {
		new FileProfileConnector("src/test/resources/testprofile.json");
	}

	@Test
	public void testFetchedProfile() throws IOException {
		FileProfileConnector conn = new FileProfileConnector(
				"src/test/resources/testprofile.json");
		assertEquals("testprofile", conn.getProfile().getName());
		assertEquals("test", conn.getProfile().getDomain().getName());
	}
}
